Request user connection
Request a connection between an existing Wingfield user and your external service. This sends an email to the user asking them to approve the connection.
Path Parameters
External service identifier.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response
200Error Responses
invalid_schema
Request validation failed.
missing_api_token
No authentication token provided.
invalid_api_token
Invalid or expired authentication token.
scope_permission_denied
Insufficient permissions for this operation.
external_service_access_denied
Token does not match the requested external service.
user_not_found
User was not found.
external_user_id_mismatch
The target user relation exists, but external user IDs differ.
external_user_id_already_in_use
The submitted external user ID is already linked to a different user.
rate_limit_exceeded
Too many requests in a given timeframe.
curl -X POST "https://dev.wingfield.systems/api/v1/external-services/497f6eca-6276-4993-bfeb-53cbbbba6f08/user-relations/request" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "externalUserId": "string" }'{
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"email": "user@example.com",
"externalUserId": "string",
"status": "PENDING",
"user": null
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "user_not_found",
"message": "string"
}
}{
"error": {
"type": "external_user_id_mismatch",
"message": "string"
}
}{
"error": {
"type": "rate_limit_exceeded",
"message": "string"
}
}